package sys.sc.formplugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.bos.form.plugin.AbstractFormPlugin;

/**
 * @author cjz
 * @date 2024/11/27 15:10
 * @description:人员手动更新后，设置标记，同步时跳过这条数据的字段
 */
public class BosUserPlugin extends AbstractFormPlugin {

    @Override
    public void propertyChanged(PropertyChangedArgs e) {
        super.beforePropertyChanged(e);
        String name = e.getProperty().getName();//获取字段标识
        //手动修改了负责人值,则给上标记
        if (name.equals("isincharge")) {
            this.getModel().setValue("nckd_keyperson","1");
        }
    }
}
